<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div *ngIf="isBody" class="w-full h-[600px]">
  <app-code-editor [formControl]="body"></app-code-editor>
</div>
<div *ngIf="isText" class="w-full h-[600px]">
  <textarea
    [formControl]="text"
    [style]="{ width: '100%', height: '100%' }"
    pInputTextarea
    placeholder="Text to write..."
  ></textarea>
</div>
<div *ngIf="!noContentType && !isBody && !isText" class="w-full h-[600px]">
  <app-file-upload [formControl]="file"></app-file-upload>
</div>
<!-- <app-menu theme="dark">
  <app-menu-item>
    <app-menu-label>
      <div class="text-white">File</div>
    </app-menu-label>
    <app-menu-content>
      <div class="w-full h-[600px] pt-8">
        <app-file-upload [formControl]="file"></app-file-upload>
      </div>
    </app-menu-content>
  </app-menu-item>
  <app-menu-item>
    <app-menu-label>
      <div class="text-white">Editor</div>
    </app-menu-label>
    <app-menu-content>
      <div class="w-full h-[600px] pt-8">
        <app-code-editor [formControl]="body"></app-code-editor>
      </div>
    </app-menu-content>
  </app-menu-item>
</app-menu> -->
